#include <bits/stdc++.h>

using namespace std;
char s[100][100];
int m,n;


int main(){
  cin>>n>>m;
  for (int i=1; i<=n; i++){
  for (int x=1; x<=m; x++){
   cin>>s[i][x];
  }
}
for (int i=1; i<=n; i++){
  for (int x=1; x<=m; x++){

   if(i==x)s[i][x]='C' ;
  }

}
 for (int i=1; i<=n; i++){
  for (int x=1; x<=m; x++){

  cout<<s[i][x];
  }
  cout<<endl;
}

  return 0;
}